Package: groovy.org.codenarc.rule.basic

## [Groovy] Class EmptyClassRule

- groovy.org.codenarc.rule.basic.EmptyClassRule

- Reports classes without methods, fields or properties. Ignores interfaces, Enums, anonymous inner classes, subclasses (extends), and classes with annotations.

  Authors:
    Artur Gajowy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `applyTo(SourceCode sourceCode, List<Violation> violations)`

- - ### Property Detail

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### @Override void applyTo(SourceCode sourceCode, List<Violation> violations)